Bug 791142 - (EMBJOPR-374) EAP 5.1.2 admin console: MySQL type mapping should be present
EAP 5.1.2 admin console: MySQL type mapping should be present
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.1
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 795918
  Show dependency treegraph
 
Reported: 2012-02-16 05:21 EST by Jan Martiska
Modified: 2013-09-10 03:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 03:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker EMBJOPR-374 Major Resolved MySQL datasource type mapping should be present 2013-09-10 03:44:22 EDT

  None (edit)
Description Jan Martiska 2012-02-16 05:21:47 EST
When creating a datasource in EAP 5.1.2 admin console, it was found out there was no choice 'MySQL' for type mapping. I wonder why this is not present currently? It is a supported database.
Comment 1 Ian Springer 2012-02-16 10:13:08 EST
This has been fixed in master (https://bugzilla.redhat.com/show_bug.cgi?id=743437) by allowing any value for the type mapping property, but listing all the predefined type mappings in the property's description. 

I'll merge this fix into the AdminConsole_EAP_5_1, so it will be included in EAP 5.1.3.
Comment 2 Ian Springer 2012-02-16 10:20:08 EST
Cherry-picked fixes for 743437 to AdminConsole_EAP_5_1 branch:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=40ba441
http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=8e861e4
Comment 3 Mike Foley 2012-02-27 12:12:51 EST
triage 2/27/2012 mfoley, asantos, crouch, loleary
Comment 4 JBoss JIRA Server 2012-07-06 14:24:51 EDT
Larry O'Leary <loleary@redhat.com> updated the status of jira JBPAPP-9459 to Resolved
Comment 5 JBoss JIRA Server 2012-07-06 14:24:51 EDT
Larry O'Leary <loleary@redhat.com> made a comment on jira JBPAPP-9459

This was fixed in upstream RHQ project as part of https://bugzilla.redhat.com/show_bug.cgi?id=743437 and will be included in EmbJopr_1_3_4_SP6.
Comment 6 JBoss JIRA Server 2012-07-09 15:04:07 EDT
Larry O'Leary <loleary@redhat.com> made a comment on jira EMBJOPR-374

This was fixed in upstream RHQ project as part of https://bugzilla.redhat.com/show_bug.cgi?id=743437 and will be included in EmbJopr_1_3_4_SP6.
Comment 7 JBoss JIRA Server 2012-07-09 16:19:59 EDT
Larry O'Leary <loleary@redhat.com> updated the status of jira EMBJOPR-374 to Resolved
Comment 8 JBoss JIRA Server 2012-07-09 16:19:59 EDT
Larry O'Leary <loleary@redhat.com> made a comment on jira EMBJOPR-374

As per upstream RHQ project bug 791142 this has been committed and will be in 1.3.4.SP6 build: https://bugzilla.redhat.com/show_bug.cgi?id=791142#c2



Cherry-picked fixes for 743437 to AdminConsole_EAP_5_1 branch:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=40ba441
http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=8e861e4
Comment 9 Heiko W. Rupp 2013-09-10 03:45:23 EDT
Done very long time ago - closing

Note You need to log in before you can comment on or make changes to this bug.